### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.deployment

# Class ServicePrototypeImporter

java.lang.Object
java.lang.Thread
com.sas.services.deployment.ServicePrototypeImporter

All Implemented Interfaces:
  `Runnable`

@SASScope("ALL") @BinaryCompatibilityOnly public final class ServicePrototypeImporter extends Thread
Utility to import metadata representing foundation service deployment prototypes from a file into a SAS Metadata Server.

Construct an instance of this utility by specifying the metadata XML that is to be imported into a SAS Metadata Server. The specified file must contain UTF-8 encoded XML representing prototyped metadata for foundation services.

Since:
  1.0

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Thread

  `Thread.Builder, Thread.State, Thread.UncaughtExceptionHandler`

- ## Field Summary

  ### Fields inherited from class java.lang.Thread

  `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServicePrototypeImporter(com.sas.metadata.remote.MdFactory mdFactory, String repositoryId)`
  Constructs an instance that will import the default foundation service prototypes into SAS Metadata Server.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `run()`
  Runs the service deployment import to load the foundation service prototype metadata into SAS Metadata Server.

  ### Methods inherited from class java.lang.Thread

  `activeCount, checkAccess, clone, countStackFrames, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, isVirtual, join, join, join, join, ofPlatform, ofVirtual, onSpinWait, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, sleep, start, startVirtualThread, stop, suspend, threadId, toString, yield`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ServicePrototypeImporter

    public ServicePrototypeImporter(com.sas.metadata.remote.MdFactory mdFactory, String repositoryId)
    Constructs an instance that will import the default foundation service prototypes into SAS Metadata Server.
    Parameters:
      `mdFactory` - Non-`null` metadata factory which has been initialized with a connection to the SAS Metadata Server.
      `repositoryId` - Metadata repository's ID.

- ## Method Details

  - ### run

    public void run()
    Runs the service deployment import to load the foundation service prototype metadata into SAS Metadata Server.
    Specified by:
      `run` in interface `Runnable`
    Overrides:
      `run` in class `Thread`
    See Also:
      - `Runnable.run()`